org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.stereotype

## Class TypeStereotypeVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.stereotype.TypeStereotypeVisitor

    public class TypeStereotypeVisitor
    extends org.objectweb.asm.AnnotationVisitor

User: guillaume Date: 30/05/13 Time: 18:55

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`TypeStereotypeVisitor(org.objectweb.asm.ClassVisitor delegate, AnnotationType annotationType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitEnd()`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visit, visitAnnotation, visitArray, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeStereotypeVisitor

    public TypeStereotypeVisitor(org.objectweb.asm.ClassVisitor delegate,
                                 AnnotationType annotationType)

### Method Detail

#### visitEnd

    public void visitEnd()

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`